"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCVideoTrack_1 = require("./TNSRTCVideoTrack");
var TNSRTCAudioTrack_1 = require("./TNSRTCAudioTrack");
var TNSRTCMediaStreamBase_1 = require("../base/TNSRTCMediaStreamBase");
var TNSRTCMediaStreamTrack_1 = require("./TNSRTCMediaStreamTrack");
var TNSRTCMediaStream = (function (_super) {
    __extends(TNSRTCMediaStream, _super);
    function TNSRTCMediaStream(stream) {
        var _this = _super.call(this, stream) || this;
        _this._stream = stream;
        return _this;
    }
    Object.defineProperty(TNSRTCMediaStream.prototype, "id", {
        get: function () {
            return this._stream.getId();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStream.prototype, "videoTracks", {
        get: function () {
            var array = [];
            var nativeArray = this._stream.getVideoTracks();
            var size = nativeArray.size();
            for (var i = 0; i < size; i++) {
                var track = nativeArray.get(i);
                array.push(TNSRTCVideoTrack_1.TNSRTCVideoTrack.fromNative(track));
            }
            return array;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStream.prototype, "audioTracks", {
        get: function () {
            var array = [];
            var nativeArray = this._stream.getAudioTracks();
            var size = nativeArray.size();
            for (var i = 0; i < size; i++) {
                var track = nativeArray.get(i);
                array.push(TNSRTCAudioTrack_1.TNSRTCAudioTrack.fromNative(track));
            }
            return array;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStream.prototype, "tracks", {
        get: function () {
            var array = [];
            var nativeArray = this._stream.getTracks();
            var size = nativeArray.size();
            for (var i = 0; i < size; i++) {
                var track = nativeArray.get(i);
                array.push(TNSRTCMediaStreamTrack_1.TNSRTCMediaStreamTrack.fromNative(track));
            }
            return array;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCMediaStream.prototype.addTrack = function (track) {
        if (track instanceof TNSRTCVideoTrack_1.TNSRTCVideoTrack) {
            this._stream.addTrack(track.instance);
        }
        if (track instanceof TNSRTCAudioTrack_1.TNSRTCAudioTrack) {
            this._stream.addTrack(track.instance);
        }
    };
    TNSRTCMediaStream.prototype.removeTrack = function (track) {
        if (track instanceof TNSRTCVideoTrack_1.TNSRTCVideoTrack) {
            this._stream.removeTrack(track.instance);
        }
        if (track instanceof TNSRTCAudioTrack_1.TNSRTCAudioTrack) {
            this._stream.removeTrack(track.instance);
        }
    };
    TNSRTCMediaStream.fromNative = function (stream) {
        return new TNSRTCMediaStream(stream);
    };
    Object.defineProperty(TNSRTCMediaStream.prototype, "instance", {
        get: function () {
            return this._stream;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStream.prototype, "android", {
        get: function () {
            return this._stream.getStream();
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCMediaStream;
}(TNSRTCMediaStreamBase_1.TNSRTCMediaStreamBase));
exports.TNSRTCMediaStream = TNSRTCMediaStream;
//# sourceMappingURL=TNSRTCMediaStream.js.map