"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStreamTrackBase_1 = require("../base/TNSRTCMediaStreamTrackBase");
var TNSRTCMediaTrackSettings_1 = require("./TNSRTCMediaTrackSettings");
var TNSRTCMediaStreamTrack = (function (_super) {
    __extends(TNSRTCMediaStreamTrack, _super);
    function TNSRTCMediaStreamTrack(mediaStreamTrack) {
        var _this = _super.call(this, mediaStreamTrack) || this;
        _this._mediaStreamTrack = mediaStreamTrack;
        _this._mediaStreamTrackSettings = TNSRTCMediaTrackSettings_1.TNSRTCMediaTrackSettings.fromNative(mediaStreamTrack.getSettings());
        return _this;
    }
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "id", {
        get: function () {
            return this._mediaStreamTrack.getId();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "enabled", {
        get: function () {
            return this._mediaStreamTrack.getEnabled();
        },
        set: function (enabled) {
            this._mediaStreamTrack.setEnabled(enabled);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "kind", {
        get: function () {
            var track = this._mediaStreamTrack.getMediaStreamTrack();
            if (!track)
                return '';
            var name = track.getClass().getName();
            if (name === 'org.webrtc.VideoTrack') {
                return 'video';
            }
            else if (name === 'org.webrtc.AudioTrack') {
                return 'audio';
            }
            return '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "readyState", {
        get: function () {
            return this._mediaStreamTrack.getReadyState();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "mute", {
        get: function () {
            return this._mediaStreamTrack.getMute();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "android", {
        get: function () {
            return this._mediaStreamTrack.getMediaStreamTrack();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "instance", {
        get: function () {
            return this._mediaStreamTrack;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "mediaStreamTrack", {
        get: function () {
            return this._mediaStreamTrack;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCMediaStreamTrack.prototype.dispose = function () {
        this._mediaStreamTrack.dispose();
    };
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "settings", {
        get: function () {
            return this._mediaStreamTrackSettings;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCMediaStreamTrack.prototype.stop = function () {
        this._mediaStreamTrack.stop();
    };
    TNSRTCMediaStreamTrack.fromNative = function (mediaStreamTrack) {
        return new TNSRTCMediaStreamTrack(mediaStreamTrack);
    };
    return TNSRTCMediaStreamTrack;
}(TNSRTCMediaStreamTrackBase_1.TNSRTCMediaStreamTrackBase));
exports.TNSRTCMediaStreamTrack = TNSRTCMediaStreamTrack;
//# sourceMappingURL=TNSRTCMediaStreamTrack.js.map