"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStreamTrack_1 = require("./TNSRTCMediaStreamTrack");
var TNSRTCVideoTrack = (function (_super) {
    __extends(TNSRTCVideoTrack, _super);
    function TNSRTCVideoTrack(track) {
        var _this = _super.call(this, track) || this;
        _this._videoTrack = track;
        return _this;
    }
    TNSRTCVideoTrack.fromNative = function (track) {
        return new TNSRTCVideoTrack(track);
    };
    Object.defineProperty(TNSRTCVideoTrack.prototype, "android", {
        get: function () {
            return this._videoTrack.getVideoTrack();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCVideoTrack.prototype, "instance", {
        get: function () {
            return this._videoTrack;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCVideoTrack.prototype.applyConstraints = function (constraints) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var nativeMap = new java.util.HashMap();
            if (constraints.facingMode) {
                nativeMap.put('facingMode', constraints.facingMode);
            }
            _this._videoTrack.applyConstraints(new co.fitcom.fancywebrtc.FancyRTCMediaTrackConstraints(nativeMap), new co.fitcom.fancywebrtc.FancyRTCMediaStreamTrack.FancyRTCMediaStreamTrackListener({
                onSuccess: function () {
                    resolve();
                },
                onError: function (error) {
                    reject(error);
                }
            }));
        });
    };
    return TNSRTCVideoTrack;
}(TNSRTCMediaStreamTrack_1.TNSRTCMediaStreamTrack));
exports.TNSRTCVideoTrack = TNSRTCVideoTrack;
//# sourceMappingURL=TNSRTCVideoTrack.js.map