"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStreamTrackBase_1 = require("../base/TNSRTCMediaStreamTrackBase");
var TNSRTCMediaTrackSettings_1 = require("./TNSRTCMediaTrackSettings");
var TNSRTCMediaStreamTrack = (function (_super) {
    __extends(TNSRTCMediaStreamTrack, _super);
    function TNSRTCMediaStreamTrack(mediaStreamTrack) {
        var _this = _super.call(this, mediaStreamTrack) || this;
        _this._mediaStreamTrack = mediaStreamTrack;
        _this._mediaStreamTrackSettings = TNSRTCMediaTrackSettings_1.TNSRTCMediaTrackSettings.fromNative(mediaStreamTrack.settings);
        return _this;
    }
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "id", {
        get: function () {
            return this._mediaStreamTrack.id;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "enabled", {
        get: function () {
            return this._mediaStreamTrack.enabled;
        },
        set: function (enabled) {
            this._mediaStreamTrack.enabled = enabled;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "kind", {
        get: function () {
            return this._mediaStreamTrack.kind;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "readyState", {
        get: function () {
            return this._mediaStreamTrack.readyState;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "mute", {
        get: function () {
            return this._mediaStreamTrack.mute;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "ios", {
        get: function () {
            return this._mediaStreamTrack.mediaStreamTrack;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "instance", {
        get: function () {
            return this._mediaStreamTrack;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "mediaStreamTrack", {
        get: function () {
            return this._mediaStreamTrack;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCMediaStreamTrack.prototype.dispose = function () {
        this._mediaStreamTrack.dispose();
    };
    TNSRTCMediaStreamTrack.prototype.stop = function () {
        this._mediaStreamTrack.stop();
    };
    Object.defineProperty(TNSRTCMediaStreamTrack.prototype, "settings", {
        get: function () {
            return this._mediaStreamTrackSettings;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCMediaStreamTrack.fromNative = function (mediaStreamTrack) {
        return new TNSRTCMediaStreamTrack(mediaStreamTrack);
    };
    return TNSRTCMediaStreamTrack;
}(TNSRTCMediaStreamTrackBase_1.TNSRTCMediaStreamTrackBase));
exports.TNSRTCMediaStreamTrack = TNSRTCMediaStreamTrack;
//# sourceMappingURL=TNSRTCMediaStreamTrack.js.map