"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStreamTrack_1 = require("./TNSRTCMediaStreamTrack");
var TNSRTCVideoTrack = (function (_super) {
    __extends(TNSRTCVideoTrack, _super);
    function TNSRTCVideoTrack(track) {
        var _this = _super.call(this, track) || this;
        _this._videoTrack = track;
        return _this;
    }
    TNSRTCVideoTrack.fromNative = function (track) {
        return new TNSRTCVideoTrack(track);
    };
    Object.defineProperty(TNSRTCVideoTrack.prototype, "ios", {
        get: function () {
            return this._videoTrack.videoTrack;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCVideoTrack.prototype, "instance", {
        get: function () {
            return this._videoTrack;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCVideoTrack.prototype.applyConstraints = function (constraints) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var obj = {};
            if (constraints.facingMode) {
                obj['facingMode'] = constraints.facingMode;
            }
            var nativeConstraints = FancyRTCMediaTrackConstraints.alloc().initWithConstraints(obj);
            _this._videoTrack.applyConstraintsWithConstraintsListener(nativeConstraints, function (error) {
                if (error) {
                    reject(error);
                }
                else {
                    resolve();
                }
            });
        });
    };
    return TNSRTCVideoTrack;
}(TNSRTCMediaStreamTrack_1.TNSRTCMediaStreamTrack));
exports.TNSRTCVideoTrack = TNSRTCVideoTrack;
//# sourceMappingURL=TNSRTCVideoTrack.js.map