import { Observable } from 'tns-core-modules/data/observable';
export declare class Common extends Observable {
    defaultServers: Array<string>;
}
export declare enum Quality {
    MAX_480P = 0,
    MAX_720P = 1,
    MAX_1080P = 2,
    MAX_2160P = 3,
    HIGHEST = 4,
    LOWEST = 5
}
export declare enum WebRTCDataChannelMessageType {
    BINARY = "binary",
    TEXT = "text"
}
export interface WebRTCIceCandidate {
    sdpMid: string;
    sdpMLineIndex: number;
    sdp: string;
}
export interface WebRTCSdp {
    type: WebRTCSdpType;
    sdp: string;
}
export declare enum SignalingState {
    STABLE = "stable",
    HAVE_LOCAL_OFFER = "have-local-offer",
    HAVE_LOCAL_PRANSWER = "have-local-pranswer",
    HAVE_REMOTE_OFFER = "have-remote-offer",
    HAVE_REMOTE_PRANSWER = "have-remote-pranswer",
    CLOSED = "closed"
}
export declare enum IceGatheringState {
    NEW = "new",
    GATHERING = "gathering",
    COMPLETE = "complete"
}
export declare enum IceConnectionState {
    NEW = "new",
    CHECKING = "checking",
    CONNECTED = "connected",
    COMPLETED = "completed",
    FAILED = "failed",
    DISCONNECTED = "disconnected",
    CLOSED = "closed"
}
export declare enum WebRTCDataChannelState {
    CONNECTING = "connecting",
    CLOSED = "closed",
    CLOSING = "closing",
    OPEN = "open"
}
export declare class IceServer {
    username?: string;
    password?: string;
    url: string;
}
export interface WebRTCOptions {
    iceServers?: IceServer[];
    enableVideo?: boolean;
    enableAudio?: boolean;
}
export declare enum WebRTCState {
    CONNECTING = 0,
    DISCONNECTED = 1,
    CONNECTED = 2
}
export declare enum WebRTCSdpType {
    OFFER = "offer",
    PRANSWER = "prAnswer",
    ANSWER = "answer"
}
